<!DOCTYPE html>
<html>
<head>
	<title>HW 2</title>
</head>
<body>
	<script>
		{
			document.write("<h2>Задание 1</h2><br>")
			let a = 1, b = 2, result;
			if (a + b < 4) {
				result = 'Мало';
			} else {
				result = 'Много';
			}
			document.write("if result: " + result + "<br>");

			a = 1;
			b = 2;
			result = a + b < 4 ? 'Мало' : 'Много';
			document.write("short if result: " + result + "<br>");
		}

		{
			document.write("<h2>Задание 2</h2><br>")
			let login = 'Вася';
			let message;
	
			if (login == 'Вася') {
				message = 'Привет';
			} else if (login == 'Директор') {
				message = 'Здравствуйте';
			} else if (login == '') {
				message = 'Нет логина';
			} else {
				message = '';
			}
			document.write("Full login: " + login + " message: " + message + "<br>");

			message = '';

			message = login == 'Вася' ? 'Привет' : 
					  login == 'Директор' ? 'Здравствуйте' :
					  login == '' ? 'Нет логина' : ''

			document.write("Short login: " + login + " message: " + message + "<br>");
		}

		{
			document.write("<h2>Задание 3</h2><br>")
			let a = -3, b = 10;
			let sum = 0;

			document.write("A = " + a + " B = " + b + "<br>");

			for (let i = a; i <= b; i++) {
				sum += i;
			}
			document.write("Сумма всех чисел от А до В = " + sum + "<br>");

			document.write("Нечетные числа в диапазоне от А до В: ");
			let j = a > 0 ? a - (a % 2) + 1: a + (a % 2) + 1;
			console.log(a % 2);
			let last = b - (b % 2) + 1;
			for (; j <= last; j += 2) {
				document.write(j + ", ");
			}
			document.write((last + 2) + "<br>");

		}

		{
			document.write("<h2>Задание 4</h2><br>");

			const SIZE = 5;
			for (var i = 0; i < SIZE; i++) {
				for (var j = 0; j < SIZE; j++) {
					document.write('$');
				}
				document.write('<br>');
			}
			document.write('<br>');

			for (var i = 0; i < SIZE; i++) {
				for (var j = -1; j < i; j++) {
					document.write('$');
				}
				document.write('<br>');
			}
			document.write('<br>');

			for (var i = 0; i < SIZE; i++) {
				for (var j = i+1; j < SIZE; j++) {
					document.write('&nbsp;');
				}
				for (var j = -1; j < i; j++) {
					document.write('$');
				}
				document.write('<br>');
			}
			document.write('<br>');

			for (var i = 0; i < SIZE; i++) {
				for (var j = i+1; j < SIZE; j++) {
					document.write('&nbsp;');
				}
				for (var j = -1; j < i; j++) {
					document.write('$');
				}
				document.write('<br>');
			}
			for (var i = SIZE; i > 0; i--) {
				for (var j = i-1; j < SIZE; j++) {
					document.write('&nbsp;');
				}
				for (var j = 1; j < i; j++) {
					document.write('$');
				}
				document.write('<br>');
			}
		}

	</script>
</body>
</html>